<?php
/*
Plugin Name: Tap to Scroll
Plugin URI: https://www.yoviprasetyo.com/tap-to-scroll-wordpress-plugin
Description: Plugin to add tap to scroll function to your website.
Version: 1.0.0
Author: yoviprasetyo
Author URI: https://www.yoviprasetyo.com/
License: GPLv2 or later
Text Domain: yp-taptoscroll
*/

// Cannot accessed directly
if( ! function_exists( 'add_action' ) ) {
    echo 'Oops, sorry!';
    die();
}

function yp_add_taptoscroll_scripts() {
    ?>
    <script type="text/javascript">
    var bodyTapToScroll = document.getElementsByTagName('body')[0];
    var iterationTapToScroll = 350;
    if( bodyTapToScroll ) {
        var currentBodyAttribute = bodyTapToScroll.getAttribute('style');
        bodyTapToScroll.addEventListener('click', function() { let goTo = window.pageYOffset + iterationTapToScroll; window.scrollTo({ top: goTo, behavior: 'smooth' }); });
    }
    </script>
    <?php
}
add_action( 'wp_footer', 'yp_add_taptoscroll_scripts' );